--
-- ### AND / OR - Operator precedence check 
-- 

drop if exists table t1;
create table t1 ( a int, b string(30));

insert into t1 values ( 1, 'X');
insert into t1 values ( 42, 'CCCC');
insert into t1 values ( 1, 'Y');
insert into t1 values ( 1, 'N');

-- should be all the same result
select * from t1 where a = 42 or a = 1 and  b = 'X';
select * from t1 where a = 1 and  b = 'X' or a = 42 ;
select * from t1 where ( a = 1 and  b = 'X'  ) or a = 42 ;
select * from t1 where a = 42 or ( a = 1 and  b = 'X' );

